//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Saver3U.h"
#include "Choice3U.h"
#include <TypInfo.hpp>
#include "RTTIUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TMainForm *MainForm;
//---------------------------------------------------------------------------
__fastcall TMainForm::TMainForm(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::Button1Click(TObject *Sender)
{
  if (ChoiceForm->ShowModal() != mrCancel)
  {
    PPropInfo PropInfo =
      GetPropInfo((PTypeInfo)ClassInfo(), "BorderStyle");
    BorderStyle = TFormBorderStyle(GetEnumValue(*(PropInfo->PropType),
      ChoiceForm->ListBox1->Items->Strings[ChoiceForm->ListBox1->ItemIndex]));
  }
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::Button2Click(TObject *Sender)
{
  if (ColorDialog1->Execute())
    Color = ColorDialog1->Color;
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::FormCreate(TObject *Sender)
{
  ReadProps(this,
    OPENARRAY(String,
      ("BorderStyle", "Color", "Top",
       "Left", "Height", "Width")));
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::FormDestroy(TObject *Sender)
{
  WriteProps(this,
    OPENARRAY(String,
      ("BorderStyle", "Color", "Top",
       "Left", "Height", "Width")));
}
//---------------------------------------------------------------------------

